package module

import (
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/context"
)

type UserMockDao struct {
}

func NewUserMockDao() *UserMockDao {
	dao := &UserMockDao{}
	return dao
}
func (d *UserMockDao) GetUserById(id UID, context *context.RecommendContext) *User {
	user := NewUser(string(id))
	user.AddProperty("uid", string(id))
	features := context.GetParameter("features")
	if features != nil {
		if _, ok := features.(map[string]interface{}); ok {
			for k, v := range features.(map[string]interface{}) {
				user.AddProperty(k, v)
			}
		}
	}
	return user
}
func (d *UserMockDao) GetUserFeatures(user *User, context *context.RecommendContext) {
}
